%define anolis_release		4
%global libhandy_version 1.5.0

Name:          yelp
Epoch:         2
Version:	42.2
Release:       %{anolis_release}%{?dist}
Summary:       Help browser for the GNOME desktop

License:       LGPLv2+ and ASL 2.0 and GPLv2+
URL:           https://wiki.gnome.org/Apps/Yelp
Source:        https://download.gnome.org/sources/%{name}/42/%{name}-%{version}.tar.xz
Patch1:	0001-Center-new-windows.patch

BuildRequires: pkgconfig(gio-2.0) >= 2.67.4
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.13.3
BuildRequires: pkgconfig(gtk+-unix-print-3.0)
BuildRequires: pkgconfig(libexslt) >= 0.8.1
BuildRequires: pkgconfig(libhandy-1) >= %{libhandy_version}
BuildRequires: pkgconfig(liblzma) >= 4.9
BuildRequires: pkgconfig(libxml-2.0) >= 2.6.5
BuildRequires: pkgconfig(libxslt) >= 1.1.4
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(webkit2gtk-4.1)
BuildRequires: pkgconfig(yelp-xsl) >= 41.0
BuildRequires: bzip2-devel
BuildRequires: gcc
BuildRequires: gettext-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: make
Requires:      libhandy >= %{libhandy_version}
Requires:      yelp-libs = %{epoch}:%{version}-%{release}
Requires:      yelp-xsl

%description
Yelp is the help browser for the GNOME desktop. It is designed
to help you browse all the documentation on your system in
one central tool, including traditional man pages, info pages and
documentation written in DocBook.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package libs
Summary: Libraries for yelp

%description libs
This package contains libraries used by the yelp help browser.

%package devel
Summary: Development files for yelp-libs
Requires: %{name}-libs = %{epoch}:%{version}-%{release}

%description devel
This package contains header files for the libraries in the yelp-libs package.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{name}

%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING
%{_bindir}/*
%{abidir}/*-option.list
%{_datadir}/applications/yelp.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.yelp.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Yelp.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Yelp-symbolic.svg
%{_datadir}/metainfo/yelp.appdata.xml
%{_datadir}/yelp/
%{_datadir}/yelp-xsl/xslt/common/domains/yelp.xml

%files doc
%doc AUTHORS NEWS README.md

%files libs
%dir %{abidir}
%{_libdir}/libyelp.so.0*
%dir %{_libdir}/yelp
%dir %{_libdir}/yelp/web-extensions
%{_libdir}/yelp/web-extensions/libyelpwebextension.so
%{abidir}/libyelp.dump
%{abidir}/libyelpwebextension.dump

%files devel
%{_libdir}/libyelp.so
%{_includedir}/libyelp


%changelog
* Mon Jun 16 2025 wenyuzifang <lzx02244079@alibaba-inc.com> - 2:40.3-4
- Introduced additional commits enhancing stability and functionality.
- Ensured compatibility with updated dependencies.
- Addressed potential build issues identified in prior versions.

* Thu Apr 06 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 42.2-3
- fix build args

* Thu Apr 06 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 42.2-2
- rebuild with WebKitGTK API 4.1 (using libsoup3)

* Tue Dec 6 2022 Funda Wang <fundawang@yeah.net> - 42.2-1
- New version 42.2

* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 42.1-2
- optimise spec file & add doc package

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 42.1-1
- init from upstream